Laravel Breeze, le nouveau package officiel d'authentification avec Blade et Tailwind CSS
1 min read

Laravel Breeze, le nouveau package officiel d'authentification avec Blade et Tailwind CSS

Laravel Breeze est un package composer qui facilite le démarrage de nos projets en proposant un système d'authentification minimaliste qui utilise Blade et Tailwind CSS.

C'est l’un des deux projets teasés depuis quelques temps sans trop d'informations par Taylor Otwell avec Laravel Sail. À la différence de ce dernier dont on ne sait toujours rien, l'information est tombée hier, le projet est officiellement disponible sur github : https://github.com/laravel/breeze 🥳

Présentation de Laravel Breeze

Le package fait suite aux nombreuses critiques reçues par Laravel 8 qui a été perçu comme trop compliqué à cause de Laravel Jetstream.

Laravel Breeze est un scaffold avec les routes, les controllers, les form requests, les views, le style et les tests.

La grande nouveauté est que l'intégralité du package est publié dans votre code source. Il vous est donc possible de modifier tout ce qui concerne la logique, les vues et le style!

Il utilise uniquement Blade et Tailwind CSS ce qui en fait un choix parfait pour les personnes qui connaissent Laravel mais pas les autres technologies des scaffolds existants. Pour rappel, il existe déjà Laravel UI basé sur React ou VueJS et Laravel Jetstream qui utilise soit Blade + Livewire soit VueJS + InertiaJS.

Très concrètement, qu’est-ce qu’il y a dans Laravel Breeze?

Pour un package minimaliste, il est plutôt bien fourni ! Il contient un système complet de gestion d'utilisateurs avec l'inscription, la connexion, la récupération de mot de passe, la vérification d’email, la confirmation de mot de passe et la déconnexion.

Il est actuellement disponible en v0.0.4. On manque encore d'une réelle timeline sur sa sortie stable en 1.0.

Installation du projet

Dans un projet Laravel nouvellement créé, il est possible d'ajouter Breeze très simplement avec composer.

composer require laravel/breeze --dev

php artisan breeze:install

Quand le package sera disponible en version 1.0.0, il n'y aura plus besoin du flag --dev.

Enjoying these posts? Subscribe for more